> For the complete documentation index, see [llms.txt](https://docs.bluestorm.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.bluestorm.io/checks/api/api_0001.md).

# Published APIs must use authentication

<table><thead><tr><th width="138">Check ID</th><th>API_0001</th></tr></thead><tbody><tr><td>Category</td><td>Security</td></tr><tr><td>Summary</td><td>Published APIs (REST, Web Service, OData) can be configured to require authentication, or to be accessed anonymously. In most cases published APIs should always enforce authentication. If your case requires an anonymous API, consider using other forms of authentication (E.g. Access Profiles in the Mendix Cloud) or rate limiting (E.g. API management in Azure or AWS) to prevent hackers from accessing your data or damaging your system.</td></tr><tr><td>Options</td><td>There are no options for this check.</td></tr><tr><td>Pass</td><td>The 'Requires Authentication' setting of a REST Service, Web Service, or OData Service is set to 'Yes'.</td></tr><tr><td>Fail</td><td>The 'Requires Authentication' setting of a REST Service, Web Service, or OData Service is set to 'No'.</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.bluestorm.io/checks/api/api_0001.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
